Loading...
Searching...
No Matches
snd_mixer_selem_regopt Struct Reference
Mixer Interface » Simple Mixer Interface

`#include <mixer.h>`

## Data Fields

int | ver
enum snd_mixer_selem_regopt_abstract | abstract
const char * | device
snd_pcm_t * | playback_pcm
snd_pcm_t * | capture_pcm

## Detailed Description

Mixer simple element - register options

## Field Documentation

## abstract

enum snd_mixer_selem_regopt_abstract snd_mixer_selem_regopt::abstract

v1: abstract layer selection

## capture_pcm

snd_pcm_t* snd_mixer_selem_regopt::capture_pcm

v1: capture PCM connected to mixer device (NULL == none)

## device

const char* snd_mixer_selem_regopt::device

v1: device name (must be NULL when playback_pcm or capture_pcm != NULL)

## playback_pcm

snd_pcm_t* snd_mixer_selem_regopt::playback_pcm

v1: playback PCM connected to mixer device (NULL == none)

## ver

int snd_mixer_selem_regopt::ver

structure version

The documentation for this struct was generated from the following file:

- /build/alsa-lib-2Eh4UL/alsa-lib-1.2.16.1/include/mixer.h